Package fr.gouv.vitam.logbook.common.server.reconstruction

# Class ReconstructionService

java.lang.Object
fr.gouv.vitam.logbook.common.server.reconstruction.ReconstructionService

public class ReconstructionService extends Object
Reconstruction of Vitam Logbook Operation Collections.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LOGBOOK`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReconstructionService(VitamRepositoryProvider vitamRepositoryProvider, OffsetRepository offsetRepository, ElasticsearchLogbookIndexManager indexManager, LogbookReconstructionMetricsCache reconstructionMetricsCache)`
  Constructor
  `ReconstructionService(VitamRepositoryProvider vitamRepositoryProvider, RestoreBackupService recoverBackupService, OffsetRepository offsetRepository, ElasticsearchLogbookIndexManager indexManager, LogbookReconstructionMetricsCache reconstructionMetricsCache)`
  Constructor for tests

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReconstructionResponseItem`
  `reconstruct(ReconstructionRequestItem reconstructionItem)`
  Reconstruct logbook operation on a tenant

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### LOGBOOK

    public static final String LOGBOOK
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReconstructionService

    public ReconstructionService(VitamRepositoryProvider vitamRepositoryProvider, OffsetRepository offsetRepository, ElasticsearchLogbookIndexManager indexManager, LogbookReconstructionMetricsCache reconstructionMetricsCache)
    Constructor
    Parameters:
      `vitamRepositoryProvider` - vitamRepositoryProvider
      `offsetRepository` -
      `indexManager` -

  - ### ReconstructionService

    public ReconstructionService(VitamRepositoryProvider vitamRepositoryProvider, RestoreBackupService recoverBackupService, OffsetRepository offsetRepository, ElasticsearchLogbookIndexManager indexManager, LogbookReconstructionMetricsCache reconstructionMetricsCache)
    Constructor for tests
    Parameters:
      `vitamRepositoryProvider` - vitamRepositoryProvider
      `recoverBackupService` - recoverBackupService
      `offsetRepository` -
      `indexManager` -

- ## Method Details

  - ### reconstruct

    public ReconstructionResponseItem reconstruct(ReconstructionRequestItem reconstructionItem)
    Reconstruct logbook operation on a tenant
    Parameters:
      `reconstructionItem` - request for reconstruction
    Returns:
      response of reconstruction
    Throws:
      `IllegalArgumentException` - invalid input